Debian Bug report logs - #675295
matanza: FTBFS in experimental: format not a string literal and no format arguments

version graph

Package: matanza; Maintainer for matanza is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for matanza is src:matanza.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Thu, 31 May 2012 02:30:02 UTC

Severity: serious

Tags: experimental, patch

Found in version matanza/0.13+ds1-2

Fixed in version matanza/0.13+ds1-3

Done: Boris Pek <tehnick-8@mail.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675295; Package matanza. (Thu, 31 May 2012 02:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 31 May 2012 02:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: matanza: FTBFS in experimental: format not a string literal and no format arguments
Date: Thu, 31 May 2012 04:26:10 +0200
[Message part 1 (text/plain, inline)]
Package: matanza
Version: 0.13+ds1-2
Severity: serious
Justification: FTBFS
Tags: experimental
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

Hello,

matanza currently FTBFS in experimental:

./matanza.w:1509:1: error: format not a string literal and no format arguments [-Werror=format-security]

See attached full log. I guess this is due to the switch to gcc-4.7

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<g> r: et la marmotte, elle écrit un papier IPDPS
[matanza.log (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675295; Package matanza. (Wed, 27 Jun 2012 17:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <Tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 27 Jun 2012 17:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 675295@bugs.debian.org (full text, mbox):

From: Boris Pek <Tehnick-8@yandex.ru>
To: Peter Pentchev <roam@ringlet.net>,675295@bugs.debian.org
Cc: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Subject: FTBFS in version 0.13+ds1-2
Date: Wed, 27 Jun 2012 20:32:50 +0300
Hi Peter,

During researching the list of packages maintained by Debian QA Group [1] with
bugs I found the package matanza [2].

As we can see in changelog [3] you adopted this package, and its updated
version was uploaded into experimental.

Unfortunately, your changes causes new FTBFS. (I've tested version 0.13+ds1-1
and it was built successfully.)

Are you still interested in maintaining of this package? If yes could you
update the package in the nearest future? (Wheeze freeze will be at June 30.)

RC bug #675295 can be fixed by NMU, but less serious bugs #636984 and #662427
should be fixed in usual or QA upload. And it would be very nice to have them
fixed to approach the libpng15 transition.

Bug #662427 needs tiny change in debian/control and bug #636984 has patch.
So the package won't require much time for update.

I am not sure how organized the maintaining process in the Debian Games Team.
Maybe someone else can prepare an update. And this will be fine too.

(Please Cc me in replies, I am not subscribed to this mailing list)

Best regards,
Boris

[1] http://qa.debian.org/developer.php?login=packages@qa.debian.org
[2] http://packages.qa.debian.org/m/matanza.html
[3] http://packages.debian.org/changelogs/pool/main/m/matanza/current/changelog




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675295; Package matanza. (Sat, 11 Aug 2012 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 11 Aug 2012 19:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 675295@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 675295@bugs.debian.org, Peter Pentchev <roam@ringlet.net>
Subject: matanza: FTBFS in experimental: format not a string literal and no format arguments
Date: Sat, 11 Aug 2012 19:11:10 +0000
[Message part 1 (text/plain, inline)]
tags 675295 patch
stop

The attached patch fixes the bug.

[04-format.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 11 Aug 2012 19:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675295; Package matanza. (Mon, 24 Dec 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 24 Dec 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 675295@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: 675295@bugs.debian.org
Subject: matanza: FTBFS in experimental: format not a string literal and no format arguments
Date: Mon, 24 Dec 2012 16:12:10 +0200
Just in case. My RFS is available here: http://bugs.debian.org/696385



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#675295; Package matanza. (Mon, 24 Dec 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Boris Pek <tehnick-8@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 24 Dec 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 675295@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@yandex.ru>
To: "675295@bugs.debian.org" <675295@bugs.debian.org>
Subject: Re: matanza: FTBFS in experimental: format not a string literal and no format arguments
Date: Mon, 24 Dec 2012 16:19:10 +0200
Sorry. Link should be: http://bugs.debian.org/696192



Reply sent to Boris Pek <tehnick-8@mail.ru>:
You have taken responsibility. (Sun, 10 Feb 2013 09:51:09 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 09:51:09 GMT) Full text and rfc822 format available.

Message #32 received at 675295-close@bugs.debian.org (full text, mbox):

From: Boris Pek <tehnick-8@mail.ru>
To: 675295-close@bugs.debian.org
Subject: Bug#675295: fixed in matanza 0.13+ds1-3
Date: Sun, 10 Feb 2013 09:47:34 +0000
Source: matanza
Source-Version: 0.13+ds1-3

We believe that the bug you reported is fixed in the latest version of
matanza, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675295@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Boris Pek <tehnick-8@mail.ru> (supplier of updated matanza package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Dec 2012 22:39:49 +0200
Source: matanza
Binary: matanza
Architecture: source i386
Version: 0.13+ds1-3
Distribution: experimental
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Boris Pek <tehnick-8@mail.ru>
Description: 
 matanza    - Space ascii war game
Closes: 636984 662427 675295
Changes: 
 matanza (0.13+ds1-3) experimental; urgency=low
 .
   * Team upload.
   * Bump Standards-Version to 3.9.4 (was 3.9.1).
   * Update debian/copyright in according to Copyright format 1.0.
   * Add patch debian/patches/04-format.patch:
     fix FTBFS with GCC >= 4.7 and hardening compiler options.
     (Closes: #675295)
   * Add patch debian/patches/05-fix-build-with-libpng1.5.patch:
     fix build with libpng >= 1.5. (Closes: #636984)
   * Update debian/control:
     - changed build dependency from libpng12-dev to libpng-dev
       (Closes: #662427)
     - updated Homepage field
Checksums-Sha1: 
 8da7bf765d7fe0a132b17a5c319d6d65067a36f6 1369 matanza_0.13+ds1-3.dsc
 d803dff8d2ea01b540d3df51bb3b2f9c41bdd99a 8573 matanza_0.13+ds1-3.debian.tar.bz2
 7d496171f394ec1b3d1ad3db04d2e901fb4b7a74 125346 matanza_0.13+ds1-3_i386.deb
Checksums-Sha256: 
 885fd820c36fe76850c4cc11c57c5f62c76a2a66ca20565c7500921c461c0da1 1369 matanza_0.13+ds1-3.dsc
 1b48e44bc3f24274ab76fb6837c2921895eb0c74b1357211c341ade4525447c2 8573 matanza_0.13+ds1-3.debian.tar.bz2
 2c9acfb6c1a8488b10d58164cf725a3a14b611942a0343e809671730154cdebe 125346 matanza_0.13+ds1-3_i386.deb
Files: 
 601e385637456c9de5eb77bcbb429079 1369 games extra matanza_0.13+ds1-3.dsc
 9d0852e61ea4e8f68e0208a12210e507 8573 games extra matanza_0.13+ds1-3.debian.tar.bz2
 bc249f427ba65edfe1d5bbca7547c435 125346 games extra matanza_0.13+ds1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEXanIACgkQFShl+2J8z5XjyACggF2hHji1SyUmDNSJuup1ga04
97kAoNGvm8rSKa/aNbhsLLU7WHiCYyTB
=5zDi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Mar 2013 07:27:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:04:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.